Operating system set to macOS
Documentation jurisdiction set to United States
Sign inConnect Claude

Invoke Skill Acquisitions Advise

post/api/v1/skills/acquisitions.advise/invoke

M&A advice β€” acquisition, merger, asset/share purchase, due diligence framing.

Request bodyapplication/json

FieldTypeDescription
topicrequiredstringβ€”
deal_type"acquisition" | "merger" | "asset_purchase" | "share_purchase" | "due_diligence"β€”
acquisitionmergerasset_purchaseshare_purchasedue_diligence
jurisdiction"AU" | "GB" | "CA" | "US" | "NZ" | nullβ€”
client_contextobjectβ€”
show nested
Empty object.
file_idsstring (uuid)[]β€”

Responses

200Skill executed successfully
FieldTypeDescription
skillrequiredstringβ€”
outputrequiredobjectβ€”
show nested
FieldTypeDescription
stub_fieldsstring[]β€”
warningsstring[]β€”
advicestringβ€”
checkliststring[]β€”
citationsany[]β€”
open_itemsstring[]β€”
confidencenumberβ€”
correlation_idrequiredstringβ€”
401Authentication required
FieldTypeDescription
errorrequiredobjectβ€”
show nested
FieldTypeDescription
typerequiredstringβ€”
coderequiredstringβ€”
messagerequiredstringβ€”
paramstringβ€”
retry_after_secondsintegerβ€”
403Insufficient permissions
FieldTypeDescription
errorrequiredobjectβ€”
show nested
FieldTypeDescription
typerequiredstringβ€”
coderequiredstringβ€”
messagerequiredstringβ€”
paramstringβ€”
retry_after_secondsintegerβ€”
404Skill not found
FieldTypeDescription
errorrequiredobjectβ€”
show nested
FieldTypeDescription
typerequiredstringβ€”
coderequiredstringβ€”
messagerequiredstringβ€”
paramstringβ€”
retry_after_secondsintegerβ€”
429Rate limit exceeded
FieldTypeDescription
errorrequiredobjectβ€”
show nested
FieldTypeDescription
typerequiredstringβ€”
coderequiredstringβ€”
messagerequiredstringβ€”
paramstringβ€”
retry_after_secondsintegerβ€”
5XXInternal server error
FieldTypeDescription
errorrequiredobjectβ€”
show nested
FieldTypeDescription
typerequiredstringβ€”
coderequiredstringβ€”
messagerequiredstringβ€”
paramstringβ€”
retry_after_secondsintegerβ€”
curl https://api.dev.arch.ie/api/v1/skills/acquisitions.advise/invoke \
  -X POST \
  -H "Authorization: Bearer sk_..." \
  -H "Content-Type: application/json" \
  -d '{
       "topic": "string",
       "deal_type": "acquisition",
       "jurisdiction": null,
       "client_context": {},
       "file_ids": [
         "00000000-0000-0000-0000-000000000000"
       ]
     }'